import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { IUnknownValuePlotting } from "igniteui-react-core/ES5/IUnknownValuePlotting";
import { CategoryLineRasterizer } from "./CategoryLineRasterizer";
import { UnknownValuePlotting } from "igniteui-react-core/ES5/UnknownValuePlotting";
import { SeriesView } from "./SeriesView";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { Type, Point } from "igniteui-react-core/ES5/type";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategoryFrame } from "./CategoryFrame";
import { CategorySeriesView } from "./CategorySeriesView";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { Path } from "igniteui-react-core/ES5/Path";
import { PointCollection } from "igniteui-react-core/ES5/PointCollection";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { Clipper } from "igniteui-react-core/ES5/Clipper";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
export declare class AreaSeries extends HorizontalAnchoredCategorySeries implements IUnknownValuePlotting {
    protected bf(): SeriesView;
    protected m4(): CategoryTransitionInMode;
    ii(a: SeriesView): void;
    p6: AreaSeriesView;
    protected get_cj(): boolean;
    readonly cj: boolean;
    constructor();
    p7: CategoryLineRasterizer;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    de(a: Point, b: boolean): boolean;
    hl(a: boolean, b: SeriesView): void;
    ob(a: CategoryFrame, b: CategorySeriesView): void;
    unknownValuePlotting: UnknownValuePlotting;
    protected io(a: any, b: string, c: any, d: any): void;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
    static $t: Type;
}
export declare class AreaSeriesView extends AnchoredCategorySeriesView {
    protected c4: AreaSeries;
    constructor(a: AreaSeries);
    ap(): void;
    readonly dc: Path;
    readonly dd: Path;
    readonly df: Path;
    readonly dh: Path;
    private de;
    private di;
    private dg;
    private dj;
    c5(): void;
    c6(a: number, b: List$1<number[]>, c: boolean, d: number, e: number, f: (arg1: PointCollection, arg2: PointCollection, arg3: PointCollection, arg4: PointCollection, arg5: boolean) => void, g: UnknownValuePlotting): void;
    c7(a: number, b: List$1<number[]>, c: boolean, d: number, e: number, f: (arg1: PointCollection, arg2: PointCollection, arg3: PointCollection, arg4: PointCollection, arg5: boolean) => void, g: UnknownValuePlotting, h: Clipper): void;
    private c8;
    private da;
    private c9;
    private db;
    protected a9(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    protected ac(): void;
    static $t: Type;
}
